Bug 1306344 - systemd - systemd-networkd - netlink_route_socket
systemd - systemd-networkd - netlink_route_socket
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
: 1350215 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 10:42 EST by Yanko Kaneti
Modified: 2017-08-08 08:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:45:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2016-02-10 10:42:10 EST
Trying to get my feet wet with systemd-networkd. Currently running in permissive, but I guess the following errors would be a problem if I decide to switch to enforcing.

.....
Feb 10 17:27:40 d2 audit[1]: AVC avc:  denied  { create } for  pid=1 comm="systemd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:systemd_networkd_t:s0 tclass=netlink_route_socket permissive=1
Feb 10 17:27:40 d2 audit[1]: AVC avc:  denied  { setopt } for  pid=1 comm="systemd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:systemd_networkd_t:s0 tclass=netlink_route_socket permissive=1
Feb 10 17:27:40 d2 audit[1]: AVC avc:  denied  { bind } for  pid=1 comm="systemd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:systemd_networkd_t:s0 tclass=netlink_route_socket permissive=1
...

Version-Release number of selected component (if applicable):
systemd-228-7.gite35a787.fc24.x86_64
selinux-policy-3.13.1-170.fc24.noarch
Comment 1 Jan Kurik 2016-02-24 10:48:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Michael Chapman 2016-06-26 10:40:15 EDT
Still a problem with selinux-policy-targeted-3.13.1-190.fc24.noarch .
Comment 3 Michael Chapman 2016-06-26 10:40:24 EDT
*** Bug 1350215 has been marked as a duplicate of this bug. ***
Comment 4 Anthony Messina 2016-06-26 15:28:17 EDT
This continues to occur with selinux-policy-3.13.1-191.fc24.2
Comment 5 DaveG 2016-06-28 16:18:49 EDT
Seeing this too.
selinux-policy-targeted-3.13.1-191.fc24.2.noarch (dnf upgrade)
Resorted to booting permissive then switching to enforcing once the network is up.
Does *not* appear to break anything else (only using static IPv4 and PPPoE) but does not work out-of-the-box.

--DaveG.
Comment 6 DaveG 2016-06-28 18:30:38 EDT
Quick fix, Works For Me(TM).
Been a while since I last did this kind of thing and I'm no SELinux guru, but...

+++
cat >local-fix-netlink-BZ1306344.te <<'EOF'

module local-fix-netlink-BZ1306344 1.0;

require {
  type init_t;
  type systemd_networkd_t;
  class netlink_route_socket { create setopt bind };
}

allow init_t systemd_networkd_t:netlink_route_socket create;
allow init_t systemd_networkd_t:netlink_route_socket setopt;
allow init_t systemd_networkd_t:netlink_route_socket bind;
EOF
checkmodule -M -m -o local-fix-netlink-BZ1306344.mod local-fix-netlink-BZ1306344.te
semodule_package -o local-fix-netlink-BZ1306344.pp -m local-fix-netlink-BZ1306344.mod
semodule -i local-fix-netlink-BZ1306344.pp
---
Back to Enforcing and reboot.
No AVC messages, systemd-networkd.socket and systemd-networkd.service OK.
Just systemd-networkd-wait-online.service left for me to sort out.

--DaveG.
Comment 7 Anthony Messina 2016-08-02 19:52:06 EDT
Can a fix for this issue be included in the next selinux-policy update for Fedora 24?
Comment 8 Fedora Update System 2016-08-16 01:55:09 EDT
selinux-policy-3.13.1-191.11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4630499f5
Comment 9 Fedora End Of Life 2017-07-25 15:55:09 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:45:47 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.